org.apache.flume.source.jms

## Class JMSSource

- java.lang.Object
- - org.apache.flume.source.BasicSourceSemantics
  - - org.apache.flume.source.AbstractPollableSource
    - - org.apache.flume.source.jms.JMSSource

- All Implemented Interfaces:
    Configurable, LifecycleAware, NamedComponent, PollableSource, Source

      @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public class JMSSource
      extends AbstractPollableSource

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.flume.PollableSource

      `PollableSource.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSSource()`
    `JMSSource(JMSMessageConsumerFactory consumerFactory, InitialContextFactory initialContextFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doConfigure(Context context)`
    `protected PollableSource.Status` | `doProcess()`
    `protected void` | `doStart()`
    `protected void` | `doStop()`

    - ### Methods inherited from class org.apache.flume.source.AbstractPollableSource

      `configure, getBackOffSleepIncrement, getMaxBackOffSleepInterval, process`

    - ### Methods inherited from class org.apache.flume.source.BasicSourceSemantics

      `getChannelProcessor, getLifecycleState, getName, getStartException, isStarted, setChannelProcessor, setLifecycleState, setName, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState, start, stop`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Constructor Detail

    - #### JMSSource

          public JMSSource()

    - #### JMSSource

          public JMSSource(JMSMessageConsumerFactory consumerFactory,
                   InitialContextFactory initialContextFactory)

  - ### Method Detail

    - #### doConfigure

          protected void doConfigure(Context context)
                              throws FlumeException

      Specified by:
        `doConfigure` in class `BasicSourceSemantics`
      Throws:
        `FlumeException`

    - #### doProcess

          protected PollableSource.Status doProcess()
                                             throws EventDeliveryException

      Specified by:
        `doProcess` in class `AbstractPollableSource`
      Throws:
        `EventDeliveryException`

    - #### doStart

          protected void doStart()

      Specified by:
        `doStart` in class `BasicSourceSemantics`

    - #### doStop

          protected void doStop()

      Specified by:
        `doStop` in class `BasicSourceSemantics`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.